import request from '@/utils/request'

// 查询门店覆盖列表
export function listStore(data) {
  return request({
    url: '/sfa/store/cover/coverList',
    method: 'post',
    data: data
  })
}

// 待分配门店数
export function getWaitStoreCount(data) {
  return request({
    url: '/sfa/store/cover/waitStoreCount',
    method: 'post',
    data: data
  })
}
// 人员已分配门店列表
export function getDistributionStoreList(query) {
  return request({
    url: '/sfa/store/cover/distributionStoreList',
    method: 'get',
    params: query
  })
}
// 取消门店分配
export function getCancelDistributionStore(query) {
  return request({
    url: '/sfa/store/cover/cancelDistributionStore',
    method: 'get',
    params: query
  })
}
// 添加分配门店列表
export function getAddDistributionStoreList(query) {
  return request({
    url: '/sfa/store/cover/addDistributionStoreList',
    method: 'get',
    params: query
  })
}
// // 查询省市区（县）
export function getSelectRegionsList(query) {
  return request({
    url: '/sfa/store/street',
    method: 'get',
    params: query
  })
}
// export function getSelectRegionsList(query) {
//   return request({
//     url: '/sfa/store/cover/selectRegionsList',
//     method: 'get',
//     params: query
//   })
// }
// 批量分配门店
export function getBatchDistributionStore(query) {
  return request({
    url: '/sfa/store/cover/batchDistributionStore',
    method: 'get',
    params: query
  })
}
